Name:           nootka
Version:        2.0.2
Release:        %mkrel 1
Summary:        Application to help with learning classical score notation
License:        GPLv3
Group:          Sound/Utilities
Url:            https://nootka.sourceforge.net/
Source0:        https://downloads.sf.net/%{name}/%{name}-%{version}-source.tar.bz2

BuildRequires:  cmake
BuildRequires:  ecasound-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(vorbis)

Requires:       qt5-common
Recommends:     TiMidity++

%description
Nootka is an open-source application to help with
learning (and also teaching) classical score notation.
Mostly it is for guitarists, but it can be used for
ear training as well.

Features:
Interactive interface to discover the rules of musical notation.
Exercises with the possibility of creating your own sets.
Accurate method for detecting sung and played sounds.
Natural sound of guitars.
Clefs (treble, bass and others) and grand staff.
Analysis of results.
Different kinds of guitars and tuning.
Czech, French, German, Polish and Russian translations.

%prep
%setup -q -n %{name}-%{version}-source
%autopatch -p1

%build
%ifarch aarch64
export CXXFLAGS="%{optflags} -fsigned-char"
%endif
%cmake_qt5 -DCMAKE_SKIP_RPATH:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc changes README.md TODO.md copyright
%license LICENSE
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/mime/packages/*
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/*/%{name}*.png


%changelog
* Thu Jan 05 2023 daviddavid <daviddavid> 2.0.2-1.mga9
+ Revision: 1930012
- new version: 2.0.2

* Mon Apr 04 2022 umeabot <umeabot> 1.4.6-6.mga9
+ Revision: 1842913
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 neoclust <neoclust> 1.4.6-5.mga9
+ Revision: 1770155
- Rebuild against new SoundTouch

* Sun Sep 26 2021 luigiwalser <luigiwalser> 1.4.6-4.mga9
+ Revision: 1746596
- rebuild for soundtouch

* Thu Dec 17 2020 umeabot <umeabot> 1.4.6-3.mga8
+ Revision: 1659138
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.4.6-2.mga8
+ Revision: 1527994
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Aug 03 2019 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1427010
- new version: 1.4.6

* Sun Mar 31 2019 umeabot <umeabot> 1.4.5-4.mga7
+ Revision: 1383545
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.5-3.mga7
+ Revision: 1299784
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 1.4.5-2.mga7
+ Revision: 1244851
- build using -fsigned-char on aarch64

* Tue Jan 16 2018 daviddavid <daviddavid> 1.4.5-1.mga7
+ Revision: 1193732
- new version: 1.4.5
- remove merged upstream patch

* Tue Sep 19 2017 daviddavid <daviddavid> 1.4.4-2.mga7
+ Revision: 1155335
- add upstream patch to fix ARM build

* Sun Sep 17 2017 daviddavid <daviddavid> 1.4.4-1.mga7
+ Revision: 1154966
- new version: 1.4.4
- remove merged upstream patch

* Fri Feb 24 2017 daviddavid <daviddavid> 1.4.2-2.mga6
+ Revision: 1087619
- add upstream patch to fix ARM build:
  * https://sourceforge.net/p/nootka/bugs/25/

* Thu Feb 23 2017 daviddavid <daviddavid> 1.4.2-1.mga6
+ Revision: 1087478
- new version: 1.4.2

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.2.2-2.mga6
+ Revision: 918472
- rebuild for soundtouch

* Fri Oct 16 2015 barjac <barjac> 1.2.2-1.mga6
+ Revision: 892050
- add -DCMAKE_SKIP_RPATH:BOOL=false
- sort buildrequires
- correct Source0
- remove mv
- remove un-needed chmod
- put plugins where suse does
- new version 1.2.2
- added new BRs
- qt5
- tidied spec - mainly description grammar

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 743953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 682914
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu May 08 2014 barjac <barjac> 1.0.1-2.mga5
+ Revision: 621176
- rebuild for new ecasound

* Sat Mar 29 2014 dglent <dglent> 1.0.1-1.mga5
+ Revision: 609319
- New version 1.0.1

* Sun Mar 23 2014 dglent <dglent> 1.0.0-1.mga5
+ Revision: 606751
- New version 1.0.0
- Add br soundtouch
- Add lang tags
- imported package nootka
+ kamil <kamil>
- fix group: Education -> Sound/Utilities
- add cmake to BR
- fix BR: fftw -> fftw-devel

